
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Swift类型检查与转换 / iVAN</title>

    <meta name="description" content="Swift类型检查与转换 继承会发生在子类和父类中,如图所示,是一系列类的继承关系类图,Person是类层次结构中的根类,Student是Person的直接子类,Worker是Person的直接子类.这个继承关系类图的具体实现代码如下: class Person { var name : String var age : Int func description() -&gt; String { return &quot;\(name) 年龄是: \(age)&quot; } convenience init () {  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Swift类型检查与转换</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>继承会发生在子类和父类中，如图所示，是一系列类的继承关系类图，Person是类层次结构中的根类，Student是Person的直接子类，Worker是Person的直接子类。<br />这个继承关系类图的具体实现代码如下：
<pre>class Person {
    var name : String
    var age : Int

    func description() -&gt; String {
        return "\(name) 年龄是: \(age)"
    }
    convenience init () {
        self.init(name: "Tony")
        self.age = 18
    }
    convenience init (name : String) {
        self.init(name: name, age: 18)
    }
    init (name : String, age : Int) {
        self.name = name
        self.age  = age
    }
}

class Student : Person {
    var school : String
    init (name : String, age : Int, school : String) {
        self.school = school
        super.init(name : name, age : age)
    }
}

class Worker : Person {
    var factory : String
    init (name : String, age : Int, factory : String) {
        self.factory = factory
        super.init(name : name, age : age)
    }
}</pre>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA5MDQxOTM3MDAxMjU=.jpg"></p>
<p>下面我们将以此为例，介绍Swift类的类型检查与转换，其中包括is操作符、as操作符以及Any和AnyObject类型等。<br />一、使用is操作符<br />is操作符可以判断一个实例是否是某个类的类型。如果实例是目标类型，结果返回true，否则为false。<br />下面看一个示例：
<pre>let Student1 = Student(name : "Tom", age : 18, school : "清华大学")	①
let Student2 = Student(name : "Ben", age : 28, school : "北京大学")
let Student3 = Student(name : "Tony", age : 38, school : "香港大学")	②

let Worker1 = Worker(name : "Tom", age : 18, factory : "钢厂")	③
let Worker2 = Worker(name : "Ben", age : 20, factory : "电厂")	④

let people = [Student1, Student2, Student3, Worker1, Worker2]	⑤

var StudentCount = 0
var WorkerCount = 0

for item in people {		⑥
    if item is Worker {	⑦
        ++WorkerCount
    } else if item is Student {	⑧
        ++StudentCount
    }
}

println("工人人数：\(WorkerCount) ，学生人数：\(StudentCount) 。")</pre>
<p>上述代码第①行和第②行创建了3个Student实例，第③行和第④行创建了两个Worker实例，然后把这5个实例放入people数组集合中。<br />在第⑥行使用for in遍历people数组集合。在循环体中，第⑦行item is Worker表达式是判断集合中的元素是否是Worker类的实例。类似地，第⑧行item is Student表达式是判断集合中的元素是否是Student类的实例。<br />输出结果如下：<br />工人人数：2，学生人数：3。<br />二、使用as操作符<br />在介绍as操作符之前，我们先了解一下对象的类型转换，并不是所有的类型都能互相转换。下面先看如下语句：<br />let p1 : Person = Student(name : "Tom", age : 20, school : "清华大学")<br />let p2 : Person = Worker(name : "Tom", age : 18, factory : "钢厂")<br />let p3 : Person = Person(name : "Tom", age : 28)<br />我们创建了3个实例p1、p2、p3，类型都是Person。p1是Student实例，p2是Worker实例，p3是Person实例。首先，对象类型转换一定发生在继承的前提下，p1和p2都声明为Person类型，而实例是由Person子类型实例化的。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA5MDQxOTM3MzczMTY=.jpg"><br />实例：Person<br />作为这段程序的编写者，我们知道p1本质上是Student实例，但是表面上看是Person类型，编译器也无法推断p1的实例是Person、Student还是Worker。我们可以使用is操作符来判断它是哪一类的实例。然后在转换时可以使用as操作符将其转换为子类类型，即把Person类型的p1转为Student子类类型，这种转换被称为向下转型。这种转换是有风险的，如果p1不是目标类型，转换就会失败。为了不发生异常，我们可以使用as?将其转换为目标类型的可选类型，能够成功则转换，不成功则返回nil。<br />从表15-1可见，p1到Student类型转换是向下转型，能够成功，p1到Worker类型转换是向下转型但会失败，p1到Person类型转换不需要向下转型就能够成功赋值，因为p1本身就是Person类型。p2与p1类似。<br />p3与p1和p2有很大的不同，因为p3本质上是Person实例，不能向下转型。<br />下面看一个示例：
<pre>let Student1 = Student(name : "Tom", age : 18, school : "清华大学")	①
let Student2 = Student(name : "Ben", age : 28, school : "北京大学")
let Student3 = Student(name : "Tony", age : 38, school : "香港大学")	②

let Worker1 = Worker(name : "Tom", age : 18, factory : "钢厂")	③
let Worker2 = Worker(name : "Ben", age : 20, factory : "电厂")	④

let people = [Student1, Student2, Student3, Worker1, Worker2]	⑤

for item in people {		⑥

    if let Student = item as? Student {	⑦
        println("Student school: \(Student.school)")	⑧
    } else if let Worker = item as? Worker {	⑨
        println("Worker factory: \(Worker.factory)")	⑩
    }

}</pre>
<p>上述代码第①行和第②行创建了3个Student实例，第③行和第④行创建了两个Worker实例。然后把这5个实例放入people数组集合中。<br />在第⑥行使用for in遍历people数组集合。在循环体中，第⑦行let Student = item as? Student语句使用as?操作符将元素转换为Student类型。如果转换成功，则把元素赋值给Student变量，否则将nil赋值给Student变量，转换成功执行第⑧行代码。第⑨行代码与第⑦行代码类似，不再赘述。<br />最后输出结果如下：<br />Student school: 清华大学<br />Student school: 北京大学<br />Student school: 香港大学<br />Worker factory: 钢厂<br />Worker factory: 电厂<br />三、使用Any和AnyObject类型<br />在Swift中还提供了两种类型表示不确定类型：AnyObject和Any。AnyObject可以表示任何类的实例，而Any可以表示任何类型，包括类和其他数据类型，也包括Int和Double的基本数据类型。<br />下面将上一节的示例修改如下：
<pre>let Student1 = Student(name : "Tom", age : 18, school : "清华大学")
let Student2 = Student(name : "Ben", age : 28, school : "北京大学")
let Student3 = Student(name : "Tony", age : 38, school : "香港大学")

let Worker1 = Worker(name : "Tom", age : 18, factory : "钢厂")
let Worker2 = Worker(name : "Ben", age : 20, factory : "电厂")

let people1: [Person] = [Student1, Student2, Student3, Worker1, Worker2] 	①
let people2: [AnyObject] = [Student1, Student2, Student3, Worker1, Worker2] 	②
let people3: [Any] = [Student1, Student2, Student3, Worker1, Worker2] 	③

for item in people3 {		④

    if let Student = item as? Student {
        println("Student school: \(Student.school)")
    } else if let Worker = item as? Worker {
        println("Worker factory: \(Worker.factory)")
    }

}</pre>
<p>上述代码第①行是将5个实例放入Person数组中，第②行代码是将5个实例放入AnyObject数组中，第③行代码是将5个实例放入Any数组中。</p>
<p>这3种类型的数组都可以成功放入5个实例，而且可以在第④行使用for Int循环遍历出来，其他的类型代码不再解释。</p>
<p>更多内容请关注国内第一本Swift图书<a href="http://www.51work6.com/swift.php" rel="external nofollow noreferrer">《Swift开发指南》</a></p>
<p>本书交流讨论网站：<a href="http://www.51work6.com/swift.php" rel="external nofollow noreferrer">http://www.51work6.com/swift.php</a></p>
<p>欢迎加入Swift技术讨论群：362298485</p>
<p>欢迎关注智捷iOS课堂微信公共平台</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA4MTcxNzA1Mjk4NTI=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 16:14:41</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Swift类型检查与转换的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3rjKgz.html" rel="bookmark">《从零开始学Swift》学习笔记（Day48）&mdash;&mdash;类型检查与转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创文章,欢迎转载.转载请注明:关东升的博客   继承会发生在子类和父类之间,是一系列类的继承关系. 例如:Person是类层次结构中的根类,Student是Person的直接子类,Worker是Person的直接子类. 这个继承关系类的具体实现代码如下: class Person { var name: String var age: Int func description() -&gt; String { return &quot;\(name) 年龄是: \(age)&quot; } conven			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6xq0b.html" rel="bookmark">详解Swift的类型检查器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是详解Swift的类型检查器, 这篇文章将围绕曾不断使我重写代码的一些 Swift 编译器的报错信息展开: 错误:你的表达式太过于复杂,请将其分解为一些更为简单的表达式.(译者注:原文是error: expression was too complex to be solved in reasonable time; consider breaking up the expression into distinct sub-expressions) 我会看那个触发错误的例子,谈谈以后由相			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjy2xp.html" rel="bookmark">Swift数字类型之间的转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Swift数字类型之间的转换Swift是一种安全的语言,对于类型的检查非常严格,不同类型之间不能随便转换.一.整型之间的转换在C和Objective-C等其他语言中,整型之间有两种转换方法:从小范围数到大范围数转换是自动的:从大范围数到小范围数需要强制类型转换,有可能造成数据精度的丢失.而在Swift中这两种方法是行不通的,我们需要通过一些函数进行显式地转换,代码如下: let historyScore:UInt8 = 90 let englishScore:UInt16 = 130 let t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wnAjp.html" rel="bookmark">Swift类型创建之自定义一个类型详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Swift类型创建之自定义一个类型详解,本文讲解了自定义原型.实现默认值.支持基本布尔型初始化.支持Bool类型判断.支持兼容各们各派的类型.完善OCBool的布尔基因体系等内容,需要的朋友可以参考下 小伙伴们,Swift中的Bool类型有着非常重要的语法功能,并支撑起了整个Swift体系中的逻辑判断体系,经过老码的研究和学习, Bool类型本身其实是对基础Boolean类型封装,小伙伴们可能咬着手指头问老码,怎么一会Bool类型,一会Boolean类型,其区别在于,前者是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLQvZb.html" rel="bookmark">Python中实现参数类型检查的简单方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Python中实现参数类型检查的简单方法,本文讲解使用装饰器实现参数类型检查并给出代码实例,需要的朋友可以参考下 Python是一门弱类型语言,很多从C/C++转过来的朋友起初不是很适应.比如,在声明一个函数时,不能指定参数的类型.用C做类比,那就是所有参数都是void*类型!void类型强制转换在C++中被广泛地认为是个坏习惯,不到万不得已是不会使用的. Python自然没有类型强制转换一说了,因为它是动态语言.首先,所有对象都从Object继承而来,其次,它有强大的内省			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVjx5z.html" rel="bookmark">Flow之一个新的Javascript静态类型检查器&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天我们兴奋的发布了 Flow 的尝鲜版,一个新的Javascript静态类型检查器.Flow为Javascript添加了静态类型检查,以提高开发效率和代码质量.更明确的说,静态类型检查提供的好处像早期错误检查,帮助你发现一些只有在运行时才能发现的错误,以及代码智能感知,它会帮助代码维护,查找,重构和优化. 我们设计Flow的所有功能构建在现有Javascript规范之上.因为Flow主动地在后台工作,所以额外的编译开销很小.Flow并不要求开发者如何编写代码 -- 她用一套复杂的算法分析你熟悉			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDk0Grp.html" rel="bookmark">Python中实现参数类型检查的简单方法&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Python是一门弱类型语言,很多从C/C++转过来的朋友起初不是很适应.比如,在声明一个函数时,不能指定参数的类型.用C做类比,那就是所有参数都是void*类型!void类型强制转换在C++中被广泛地认为是个坏习惯,不到万不得已是不会使用的. Python自然没有类型强制转换一说了,因为它是动态语言.首先,所有对象都从Object继承而来,其次,它有强大的内省,如果调用某个不存在的方法会有异常抛出.大多数情况,我们都不需要做参数类型栓查,除了一些特殊情况.例如,某个函数接受一个str类型,结果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxED70p.html" rel="bookmark">Java中静态类型检查是如何进行的实例思路详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下内容来自维基百科,关于静态类型检查和动态类型检查的解释: •静态类型检查:基于程序的源代码来验证类型安全的过程: •动态类型检查:在程序运行期间验证类型安全的过程: Java使用静态类型检查在编译期间分析程序,确保没有类型错误.基本的思想是不要让类型错误在运行期间发生. 以下代码是一个例子,理解了他,你会更好的理解Java静态类型检查是如何工作的. 代码示例 假定我们有如下类,A和B,B继承A. class A { A me() { return this; } public void do			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwLQlEb.html" rel="bookmark">编译期类型检查 in ClojureScript</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言  话说&quot;动态类型一时爽,代码重构火葬场&quot;,虽然有很多不同的意见(请参考),但我们看到势头强劲的TypeScript和Flow.js,也能感知到静态类型在某程度上能帮助我们写出更健壮的代码(当然要基于充分的单元测试上啦).  ClojureScript与JavaScript一样采取动态类型,但由于需要通过Google Closure Compiler编译后才能运行,因此我们可以如同JS那样借助GCC的注解来引入编译时类型检查,达到同样静态类型的效果. 配置项目设置 GCC的编译时类			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0WQ0b.html" rel="bookmark" class="title">微软 Build 2012 大会首日实录</a>
					<div>
						微软今天召开了Build 2012大会.会议在华盛顿州雷德蒙德召开,也就是微软的总部所在地. 下面是实录: 1.400万Windows 8升级 大会开始后,微软首席执行官鲍尔默(Steve Ballm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMraPOb.html" rel="bookmark" class="title">爱情公寓张家铭：Web2&period;0时代靠什么赚钱？</a>
					<div>
						web|web2|赚钱 和爱情公寓CEO张家铭的见面约在早上八点半. 时间刚到,一个背着大大的书包.穿着黑色休闲羽绒服的大男孩从门外匆匆走进来,乍一看,还以为他还是一个大学生.一张朝气蓬勃的面孔上,似 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze9awz.html" rel="bookmark" class="title">最简单的ASP实现刷新随机显示两张不同广告图片代码</a>
					<div>
						在做一个广告投放系统时需要随机显示两个不同广告图片,以下通过时间秒数来控制随机出现的功能.本示例仅支持两张不同图片的随机显示效果,如果需要更多的随机图片,可自行简单修改就可以了. 以下是ASP代码:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyVDZp.html" rel="bookmark" class="title">C&num;数据库事务原理及实践</a>
					<div>
						数据|数据库 什么是数据库事务 数据库事务是指作为单个逻辑工作单元执行的一系列操作. 设想网上购物的一次交易,其付款过程至少包括以下几步数据库操作: · 更新客户所购商品的库存信息 · 保存客户付 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bonOXz.html" rel="bookmark" class="title">&period;net 软件配置多语言环境</a>
					<div>
						  1 配置webconfig  &lt;add key=&quot;DefaultCulture&quot; value=&quot;zh-cn&quot; /&gt;  &lt;add key=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBBqAb.html" rel="bookmark" class="title">中级jQuery</a>
					<div>
						简介 本文的写作灵感源自读者关于先前一篇文章的电子邮件反馈:该邮件这样写道&quot;jQuery在简单的页面上无可挑剔,但在复杂的页面上性能极其低下.在解决性能问题之前,您必须对复杂页面使用常规的J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVn0BKz.html" rel="bookmark" class="title">用Win 2003配置邮件服务器</a>
					<div>
						一.概述 大家知道,邮件服务器系统由POP3服务.简单邮件传输协议(SMTP)服务以及电子邮件客户端三个组件组成.其中的POP3服务与SMTP服务一起使用,POP3为用户提供邮件下载服务,而SMTP则 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNXNDb.html" rel="bookmark" class="title">Coad和Yourdon面向对象的设计过程</a>
					<div>
						Coad与Yourdon在设计阶段继续采用面向对象分析阶段中提到的五个层次(对象和类.结构.属性.服务和主题),这有助于从分析到设计的过渡.按照Coad与Yourdon面向对象设计方法,在设计阶段中利 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOYZwb.html" rel="bookmark" class="title">wps表格怎么画斜线</a>
					<div>
						  wps表格怎么画斜线         下面以学生成绩登记表为例: 第1步.先在先来绘制一个表格,选中一个区域作为表格,如图所示 第2步.在工具栏上的表格样式选项下,随便选择一个你喜欢的样式,绘制出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PK8PM.html" rel="bookmark" class="title">优酷路由宝如何设置固定收益模式和提取现金&quest;</a>
					<div>
						  优酷路由宝除了具备正常路由器上网连接的功能外,最大的特点是可以优化用户家里的闲置上行带宽,为观看优酷土豆视频的其他用户服务.每个用户根据贡献的上行带宽的多少,获得一种&quot;优金币&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrRyEp.html" rel="bookmark" class="title">超实用的网页设计应急小技巧</a>
					<div>
						  作为网页设计师,想要保证设计水准的前提下完成客户的&quot;年底上线&quot;心愿,你能想到的唯一办法就是-昏天黑地的加班!这对设计师来说是一种很煎熬的折磨,今天我们在年末特别呈现网页设计的应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwDvdp.html" rel="bookmark" class="title">关闭Win7登录欢迎界面 直接进入系统</a>
					<div>
						  给朋友的电脑新装了一套Win7系统,其它地方都没有问题,唯独每次开机时,即便没有设置开机密码,也会先进入用户登录界面,要点击一下登录才能进入系统,不太方便,有什么办法能路过Win7的登录欢迎界面, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72lvXp.html" rel="bookmark" class="title">&lbrack;喵咪MQ&lpar;2&rpar;&rsqb;RabbitMQ单机模式使用</a>
					<div>
						[喵咪MQ(2)]RabbitMQ单机模式使用 w-blog博客 哈喽!本周我们又见面了,今天呢我们接着说MQ软件RabbitMQ的故事,在上小节以及成功的安装了RabbitMQ也配置了开机启动,那么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8E1rp.html" rel="bookmark" class="title">《智能路由器开发指南》&mdash;&mdash;第1章 智能路由器概述  1&period;1 OpenWrt简介</a>
					<div>
						第1章 智能路由器概述 近年来,智能路由器领域越来越火,但这方面的开发资料却很少,并且不成体系.因此,本书针对智能路由器领域的开发进行了详细介绍,也可以用于指导其他智能家庭设备的开发. 接入网络的家庭 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6rLjb.html" rel="bookmark" class="title">被遗忘的计算机之父</a>
					<div>
						1941年1月15日,当地的&lt;德孟内斯论坛报&gt;刊登了一幅贝利手持控制器一部分的新闻照片,预告整个计算机内有300多电子管,将于该年年底完成.可是天不遂人愿,就在这时,太平洋战争打响了,日本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6jG7b.html" rel="bookmark" class="title">android壁纸-自己写了一个launcher，设置动态壁纸没效果？</a>
					<div>
						问题描述 自己写了一个launcher,设置动态壁纸没效果? 自己写了一个launcher,设置静态壁纸都正常,但设置系统自带的动态壁纸,设置一点效果都没有,还是原来的静态壁纸,不知道是什么原因,网上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAer2M.html" rel="bookmark" class="title">ios-UIRotationGestureRecognizer的问题</a>
					<div>
						问题描述 UIRotationGestureRecognizer的问题 我能不能获取UIRotationGestureRecognizer两个手指点的中间坐标?还有每个手指的坐标,能获取吗?怎么实现, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxOEOb.html" rel="bookmark" class="title">求教string&period;replace&lpar;&rpar;问题</a>
					<div>
						问题描述 请问如何替换字符串中的空格为空??例:dimstrabcasstring=&quot;aabbcc&quot;如何转换为&quot;aabbcc&quot;??? 解决方案 解决方案二:st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQnX6z.html" rel="bookmark" class="title">jquery源码系列：append方法实现过程</a>
					<div>
						no1: // Define a local copy of jQuery var jQuery = function( selector, context ) {// The jQuery obje ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr4PWM.html" rel="bookmark" class="title">android 拨号-android 手机拨打分机号如何显示名字&quest;</a>
					<div>
						问题描述 android 手机拨打分机号如何显示名字? 请大侠帮助, 手机存了一个带分机号的号码(加上名字的),拨打后,只显示分机号前面的号码(&quot;,&quot; 号前面的号码),不显示名字, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PE1Bp.html" rel="bookmark" class="title">tcp如何遍历帧头接收固定长度的数据</a>
					<div>
						问题描述 tcp如何遍历帧头接收固定长度的数据 c++的tcp如何遍历帧头接收固定长度的数据...................................................... ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pke7Bjb.html" rel="bookmark" class="title">Android实现SwipeBack（右滑退出）效果</a>
					<div>
						效果演示 初始状态 滑动中状态 结束状态 这是目前实现在SegmentFault for Android v2.6中的效果. 一切一切的之前,感谢 ikew0ng/SwipeBackLayout 我使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBlgQM.html" rel="bookmark" class="title">js 一个参数和表单一起提交</a>
					<div>
						问题描述 &lt;script type=&quot;text/javascript&quot;&gt; function pa(pp){ alert(pp); var obj=document.ge ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJAXEp.html" rel="bookmark" class="title">一步一步写算法（之 算法总结）</a>
					<div>
						原文:一步一步写算法(之 算法总结) [ 声明:版权所有,欢迎转载,请勿用于商业用途.  联系信箱:feixiaoxing @163.com]       自10月初编写算法系列的博客以来,陆陆续续以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQYPYp.html" rel="bookmark" class="title">c&num;-C&num;读取数据库内容显示到文本框中</a>
					<div>
						问题描述 C#读取数据库内容显示到文本框中 如果我不按照当前用户名(&quot;admin&quot;)和id(1)查询,要怎么把一条数据查出来 显示到文本框呢,就是把条件删除 解决方案 [新手]C# ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Rv5Dz.html" rel="bookmark" class="title">vs2013使用水晶报表 动态加载图片不显示</a>
					<div>
						问题描述 WIN10操作系统+VS2013使用CrystalReportsCRforVS_13_0_13在项目中添加了一个数据集DataTable1其中有三列S_Id,S_Name,S_Imgs其中S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJNN8p.html" rel="bookmark" class="title">垃圾广告不断 苹果系统安全频遭考验</a>
					<div>
						由于系统相对封闭,苹果的移动操作系统iOS总以安全性著称,但去年以来,多次发现的漏洞和攻击使得苹果系统的安全性屡屡受到质疑.近日iPhone又被曝因系统漏洞用户日历频遭垃圾信息骚扰,这背后或许与系统逐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jE9gp.html" rel="bookmark" class="title">杰赛科技募投项目加大信息化投资达产期推迟</a>
					<div>
						昨日上午10时,杰赛科技(002544)召开2012年第一次临时股东大会,审议通过了公司关于变更&quot;通信网络规划设计优化与运营支撑平台技术改造&quot;项目建设内容及地点的议案,在原募投项目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z2nwz.html" rel="bookmark" class="title">SQL 优化</a>
					<div>
						问题描述 select column1,column2 from table1 left join table on .... where 条件unionselect column1,column2  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYN585p.html" rel="bookmark" class="title">动态向页面添加控件和使用正则表达式的代码&lowbar;实用技巧</a>
					<div>
						复制代码 代码如下: namespace WebCode { public partial class _default : System.Web.UI.Page { protected void P ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
